/// <reference types="node" />
import { Router } from 'express';
import { Server } from 'http';
import { LoggerInstance } from 'winston';
import { AbstractExpressMiddleware } from './middlewares';
export interface IHttpExpressOption {
    expressOptions?: any;
}
export declare class HttpServerBuilder {
    private logger;
    private options;
    /** ErrorHandle to use when building the server */
    private errorHandler;
    /** List of route to define when building the server */
    private routes;
    /** List of middleware to apply when building the server */
    private middlewares;
    constructor(logger: LoggerInstance, options?: IHttpExpressOption);
    addMiddleware(middleware: AbstractExpressMiddleware): this;
    addRoute(path: string, handler: Router): this;
    getServer(): Server;
}
