"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const body_parser_1 = __importDefault(require("body-parser"));
const AbstractExpressMiddleware_1 = require("./AbstractExpressMiddleware");
const DEFAULT_CONFIG = {
    options: {
        limit: '50mb',
    },
};
class JsonParserMiddleware extends AbstractExpressMiddleware_1.AbstractExpressMiddleware {
    constructor(config = DEFAULT_CONFIG) {
        super(config);
        this._config = Object.assign({}, DEFAULT_CONFIG, config);
    }
    handler() {
        return body_parser_1.default.json(this.config.options);
    }
    get config() {
        return this._config;
    }
}
JsonParserMiddleware.NAME = 'jsonParser';
exports.JsonParserMiddleware = JsonParserMiddleware;
//# sourceMappingURL=JsonParserMiddleware.js.map