"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const nocache_1 = __importDefault(require("nocache"));
const AbstractExpressMiddleware_1 = require("./AbstractExpressMiddleware");
class NoCacheOnSecuredUrlsMiddleware extends AbstractExpressMiddleware_1.AbstractExpressMiddleware {
    constructor(config = {}) {
        super(config);
        this._config = config;
    }
    handler() {
        return doesNotCacheUrlsWithAccessTokenInQuery;
    }
    get config() {
        return this._config;
    }
}
NoCacheOnSecuredUrlsMiddleware.NAME = 'noCacheOnSecuredUrls';
exports.NoCacheOnSecuredUrlsMiddleware = NoCacheOnSecuredUrlsMiddleware;
function doesNotCacheUrlsWithAccessTokenInQuery(req, res, next) {
    if (req.query && req.query.access_token) {
        return nocache_1.default()(req, res, next);
    }
    return next();
}
//# sourceMappingURL=NoCacheOnSecuredUrlsMiddleware.js.map