"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const morgan_1 = __importDefault(require("morgan"));
const AbstractExpressMiddleware_1 = require("./AbstractExpressMiddleware");
const DEFAULT_CONFIG = {
    format: 'combined',
    options: {},
};
class RequestLoggerMiddleware extends AbstractExpressMiddleware_1.AbstractExpressMiddleware {
    constructor(config = DEFAULT_CONFIG) {
        super(config);
        this._config = Object.assign({}, DEFAULT_CONFIG, config, { options: Object.assign({}, config.options) });
    }
    handler() {
        return morgan_1.default(this.config.format, this.config.options);
    }
    get config() {
        return this._config;
    }
}
exports.RequestLoggerMiddleware = RequestLoggerMiddleware;
function BRIDGELogFormat(tokens, req, res) {
    return JSON.stringify({
        'content-length': tokens.res(req, res, 'content-length'),
        context: req.context,
        'http-version': tokens['http-version'](req, res),
        method: tokens.method(req, res),
        referrer: tokens.referrer(req, res),
        'remote-address': req.headers['x-forwarded-for'] || req.connection.remoteAddress,
        'status-code': tokens.status(req, res),
        time: tokens.date(req, res, 'iso'),
        url: tokens.url(req, res),
        'user-agent': tokens['user-agent'](req, res),
    });
}
exports.BRIDGELogFormat = BRIDGELogFormat;
//# sourceMappingURL=RequestLoggerMiddleware.js.map