"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AbstractExpressMiddleware_1 = require("./AbstractExpressMiddleware");
class XFrameOptionsMiddleware extends AbstractExpressMiddleware_1.AbstractExpressMiddleware {
    constructor(config = {}) {
        super(config);
        this._config = config;
    }
    handler() {
        return (_, res, next) => {
            res.setHeader('X-Frame-Options', 'DENY');
            return next();
        };
    }
    get config() {
        return this._config;
    }
}
XFrameOptionsMiddleware.NAME = 'xFrameOptions';
exports.XFrameOptionsMiddleware = XFrameOptionsMiddleware;
//# sourceMappingURL=XFrameOptionsMiddleware.js.map