"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const socket_io_stream_1 = __importDefault(require("socket.io-stream"));
class SocketRouter {
    constructor() {
        this._events = [];
    }
    use(event, handler, options = {}) {
        this._events.push({
            handler,
            key: event,
            options: Object.assign({ useStream: false }, options),
        });
        return this;
    }
    register(socket, prefix = '') {
        this.events.forEach(event => {
            const key = '' === prefix ? event.key : `${prefix}.${event.key}`;
            if (event.handler instanceof SocketRouter) {
                return event.handler.register(socket, key);
            }
            const handler = event.handler;
            socketToBind(socket, event).on(key, (...args) => {
                handler(socket, ...args);
            });
        });
    }
    get events() {
        return this._events;
    }
}
exports.SocketRouter = SocketRouter;
function socketToBind(socket, { options }) {
    if (options.useStream) {
        return socket_io_stream_1.default(socket);
    }
    return socket;
}
//# sourceMappingURL=SocketRouter.js.map