/// <reference types="node" />
import { Server } from 'http';
import SocketIO from 'socket.io';
import { AbstractSocketMiddleware } from './middlewares';
import { SocketRouter } from './SocketRouter';
export declare class SocketServerBuilder {
    private _httpServer;
    private routes;
    /** List of middleware to apply when building the server */
    private middlewares;
    constructor(httpServer: Server);
    addMiddleware(middleware: AbstractSocketMiddleware): this;
    addRoute(router: SocketRouter, path?: string): this;
    getServer(): SocketIO.Server;
    readonly httpServer: Server;
}
