"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const bluebird_1 = __importDefault(require("bluebird"));
const socket_io_client_1 = __importDefault(require("socket.io-client"));
function createSocketIOClient(port, token = '') {
    const options = {
        query: {
            token,
        },
    };
    return socket_io_client_1.default(`http://localhost:${port}`, Object.assign({ autoConnect: false }, options));
}
exports.createSocketIOClient = createSocketIOClient;
function startClient(sender) {
    sender.open();
    return new bluebird_1.default((resolve, reject) => {
        sender.on('connect', () => {
            resolve(sender);
        });
        sender.on('error', (e) => {
            reject(e);
        });
    });
}
exports.startClient = startClient;
//# sourceMappingURL=SocketIoClient.js.map